Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.faces
Class PhpFacesPropertyResolver

    java.lang.Object
      javax.faces.el.PropertyResolver
          php.java.faces.PhpFacesPropertyResolver

    public class PhpFacesPropertyResolver

extends javax.faces.el.PropertyResolver

A custom property resolver for php scripts

Author:
  jostb
See Also:
  `Script`

Constructor Summary
`PhpFacesPropertyResolver(javax.faces.el.PropertyResolver resolver)` Create a custom resolver from the given resolver.

Method Summary
`java.lang.Class` | `getType(java.lang.Object base, int index)`
`java.lang.Class` | `getType(java.lang.Object base, java.lang.Object property)`
`java.lang.Object` | `getValue(java.lang.Object base, int index)`
`java.lang.Object` | `getValue(java.lang.Object base, java.lang.Object property)`
`boolean` | `isReadOnly(java.lang.Object base, int index)`
`boolean` | `isReadOnly(java.lang.Object base, java.lang.Object property)`
`void` | `setValue(java.lang.Object base, int index, java.lang.Object value)`
`void` | `setValue(java.lang.Object base, java.lang.Object property, java.lang.Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhpFacesPropertyResolver

    public PhpFacesPropertyResolver(javax.faces.el.PropertyResolver resolver)

  Create a custom resolver from the given resolver.

  Parameters:
    `resolver` -

Method Detail

### getType

    public java.lang.Class getType(java.lang.Object base,
                                   int index)
                            throws javax.faces.el.EvaluationException,
                                   javax.faces.el.PropertyNotFoundException

  Specified by:
    `getType` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### getType

    public java.lang.Class getType(java.lang.Object base,
                                   java.lang.Object property)
                            throws javax.faces.el.EvaluationException,
                                   javax.faces.el.PropertyNotFoundException

  Specified by:
    `getType` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### getValue

    public java.lang.Object getValue(java.lang.Object base,
                                     int index)
                              throws javax.faces.el.EvaluationException,
                                     javax.faces.el.PropertyNotFoundException

  Specified by:
    `getValue` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### getValue

    public java.lang.Object getValue(java.lang.Object base,
                                     java.lang.Object property)
                              throws javax.faces.el.EvaluationException,
                                     javax.faces.el.PropertyNotFoundException

  Specified by:
    `getValue` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### isReadOnly

    public boolean isReadOnly(java.lang.Object base,
                              int index)
                       throws javax.faces.el.EvaluationException,
                              javax.faces.el.PropertyNotFoundException

  Specified by:
    `isReadOnly` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### isReadOnly

    public boolean isReadOnly(java.lang.Object base,
                              java.lang.Object property)
                       throws javax.faces.el.EvaluationException,
                              javax.faces.el.PropertyNotFoundException

  Specified by:
    `isReadOnly` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### setValue

    public void setValue(java.lang.Object base,
                         int index,
                         java.lang.Object value)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.PropertyNotFoundException

  Specified by:
    `setValue` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

### setValue

    public void setValue(java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)
                  throws javax.faces.el.EvaluationException,
                         javax.faces.el.PropertyNotFoundException

  Specified by:
    `setValue` in class `javax.faces.el.PropertyResolver`
  Throws:
    `javax.faces.el.EvaluationException`
    `javax.faces.el.PropertyNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD